### Hierarchy

- JsonFormsAbstractControl<StatePropsOfControlWithDetail>
  - JsonFormsControlWithDetail

### Implements

- OnInit
- OnDestroy
- OnInit
- OnDestroy

## Index

### Constructors

- constructor

### Properties

- data
- description
- disabled
- enabled
- error
- form
- hidden
- id
- jsonFormsService
- label
- path
- propsPath
- rootSchema
- schema
- scopedSchema
- subscription
- uischema
- visible

### Methods

- getEventValue
- getOwnProps
- isEnabled
- mapAdditionalProps
- mapToProps
- ngOnDestroy
- ngOnInit
- onChange
- shouldShowUnfocusedDescription
- triggerValidation
- validator

## Constructors

### constructor

- new JsonFormsControlWithDetail(jsonFormsService: JsonFormsAngularService): JsonFormsControlWithDetail

- Inherited from JsonFormsAbstractControl.constructor

  - Defined in abstract-control.ts:65

  #### Parameters

  - ##### jsonFormsService: JsonFormsAngularService

  #### Returns JsonFormsControlWithDetail

## Properties

### data

data: any

Inherited from JsonFormsAbstractControl.data

- Defined in abstract-control.ts:57

### description

description: string

Inherited from JsonFormsAbstractControl.description

- Defined in abstract-control.ts:59

### disabled

disabled: boolean

Inherited from JsonFormsAbstractControl.disabled

- Defined in abstract-control.ts:52

### enabled

enabled: boolean

Inherited from JsonFormsAbstractControl.enabled

- Defined in abstract-control.ts:63

### error

error: string | null

Inherited from JsonFormsAbstractControl.error

- Defined in abstract-control.ts:60

### form

form: FormControl

Inherited from JsonFormsAbstractControl.form

- Defined in abstract-control.ts:55

### hidden

hidden: boolean

Inherited from JsonFormsAbstractControl.hidden

- Defined in abstract-control.ts:64

### id

id: string

Inherited from JsonFormsAbstractControl.id

- Defined in abstract-control.ts:51

### Protected jsonFormsService

jsonFormsService: JsonFormsAngularService

Inherited from JsonFormsAbstractControl.jsonFormsService

- Defined in abstract-control.ts:67

### label

label: string

Inherited from JsonFormsAbstractControl.label

- Defined in abstract-control.ts:58

### path

path: string

Inherited from JsonFormsBaseRenderer.path

- Defined in base.renderer.ts:35

### propsPath

propsPath: string

Inherited from JsonFormsAbstractControl.propsPath

- Defined in abstract-control.ts:65

### rootSchema

rootSchema: JsonSchema

Inherited from JsonFormsAbstractControl.rootSchema

- Defined in abstract-control.ts:62

### schema

schema: JsonSchema

Inherited from JsonFormsBaseRenderer.schema

- Defined in base.renderer.ts:34

### scopedSchema

scopedSchema: JsonSchema

Inherited from JsonFormsAbstractControl.scopedSchema

- Defined in abstract-control.ts:61

### subscription

subscription: Subscription

Inherited from JsonFormsAbstractControl.subscription

- Defined in abstract-control.ts:56

### uischema

uischema: ControlElement

Inherited from JsonFormsBaseRenderer.uischema

- Defined in base.renderer.ts:33

### visible

visible: boolean

Inherited from JsonFormsAbstractControl.visible

- Defined in abstract-control.ts:53

## Methods

### getEventValue

- getEventValue(event: any): any

- Inherited from JsonFormsAbstractControl.getEventValue

  - Defined in abstract-control.ts:81

  #### Parameters

  - ##### event: any

  #### Returns any

### Protected getOwnProps

- getOwnProps(): OwnPropsOfControl

- Inherited from JsonFormsAbstractControl.getOwnProps

  Overrides JsonFormsBaseRenderer.getOwnProps

  - Defined in abstract-control.ts:157

  #### Returns OwnPropsOfControl

### isEnabled

- isEnabled(): boolean

- Inherited from JsonFormsAbstractControl.isEnabled

  - Defined in abstract-control.ts:150

  #### Returns boolean

### mapAdditionalProps

- mapAdditionalProps(props: StatePropsOfControlWithDetail): void

- Inherited from JsonFormsAbstractControl.mapAdditionalProps

  - Defined in abstract-control.ts:140

  #### Parameters

  - ##### props: StatePropsOfControlWithDetail

  #### Returns void

### Protected mapToProps

- mapToProps(state: JsonFormsState): StatePropsOfControlWithDetail

- Overrides JsonFormsAbstractControl.mapToProps

  - Defined in control.ts:47

  #### Parameters

  - ##### state: JsonFormsState

  #### Returns StatePropsOfControlWithDetail

### ngOnDestroy

- ngOnDestroy(): void

- Inherited from JsonFormsAbstractControl.ngOnDestroy

  - Defined in abstract-control.ts:144

  #### Returns void

### ngOnInit

- ngOnInit(): void

- Inherited from JsonFormsAbstractControl.ngOnInit

  - Defined in abstract-control.ts:96

  #### Returns void

### onChange

- onChange(ev: any): void

- Inherited from JsonFormsAbstractControl.onChange

  - Defined in abstract-control.ts:83

  #### Parameters

  - ##### ev: any

  #### Returns void

### shouldShowUnfocusedDescription

- shouldShowUnfocusedDescription(): boolean

- Inherited from JsonFormsAbstractControl.shouldShowUnfocusedDescription

  - Defined in abstract-control.ts:90

  #### Returns boolean

### Protected triggerValidation

- triggerValidation(): void

- Inherited from JsonFormsAbstractControl.triggerValidation

  - Defined in abstract-control.ts:175

  #### Returns void

### validator

- validator(_c: AbstractControl): ValidationErrors | null

- Inherited from JsonFormsAbstractControl.validator

  - Defined in abstract-control.ts:135

  #### Parameters

  - ##### _c: AbstractControl

  #### Returns ValidationErrors | null

Generated using TypeDoc